/// <reference types="react" />
import { Subscription } from '../core/subscription';
import { Store } from '../createStore/createStore';
import { ReducerDispatch, State, GlobalContextValue, CreateGlobalContextArgs } from './createGlobalContext';
export declare const createDispatch: <T extends CreateGlobalContextArgs>(contextValueRef: import("react").MutableRefObject<GlobalContextValue<T>>, partial: keyof T, reducer: T[keyof T]["reducer"], subscription: Subscription<GlobalContextValue<T>>, store?: Store<State<T>> | undefined) => ReducerDispatch<T[keyof T]["reducer"]>;
